SP2 for AVR Studio

Go To Last Post
8 posts / 0 new
Author
Message
#1
  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

SP2 for Studio 4.11 is available from http://www.atmel.no/beta_ware. It fixed a problem I was having when programming the Tiny11 with the STK500.

Leon

Leon Heller G1HSM

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

It didn't fix my problem with ICE50!

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Assembler 2 is still buggy.

Attempt to redifine keyword OR
.equ OR =3
The above line is in the 8535.inc file

Attempt to redefine keyword SUB
.equ SUB =0x1A ;^Z Substitute
The above line is part of my ASCII definitions file.

Illegal reuse of instruction 'adc' as label
ADC: (followed by ISR code)
Yet the data sheet show:
rjmp ADC ;ADC Conversion Complete Handler

Assembler 1.77 is still buggy (I know it's no longer supported).
Gargabe at the end of line.
cpi r16,'#'

Happily V1.74 of the assembler works well, so i'm sticking to that version :D . I hope SP2 has fixed other things and not broken others.

John Samperi

Ampertronics Pty. Ltd.

www.ampertronics.com.au

* Electronic Design * Custom Products * Contract Assembly

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Anyone knows if the servicepacks are culmulative

I now have a "Studio" , a servicepack 1 and a servicepack2

And i have appied both sp1 & sp2 ... just wondered

/Bingo

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

hello bingo,
first install studio (build 401) and afterwards sp2 (build 406). this should work.

regards
gerhard

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

@gerhardf ... thanx

I also noticed you should install the CAN addon if you want to try that one , its not included in SP2
And hence the above , the support for Tiny11 is probably not included too

/Bingo

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

I think you need the ICE50 hardware to make use of the CAN plug in.

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

@MikeB

In the GCC forum https://www.avrfreaks.net/index.p...

I did simulate a test program made for CAN , but at first i got an error.

Then i installed the CAN plugin , and there was no error.

This was not a program that used any CAN features , just a test to help out.

/Bingo